package com.muyu.common.nacos;

import com.dtflys.forest.springboot.annotation.ForestScan;
import com.muyu.common.nacos.remote.interceptor.NacosNamespaceInterceptor;
import com.muyu.common.nacos.service.NacosServerService;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

/**
 * @Author: by 杨旭飞
 * @Date 2024/8/8 22:07
 * @Description nacos远程调用启动类
 */
@Configuration
@ForestScan(basePackages = "com.muyu.common.nacos.remote")
@Import(value = {
        NacosNamespaceInterceptor.class,
        NacosServerService.class
})
public class NacosRemoteConfig {
}
